# utf-table-generator
Модуль генерирует код для печати вот так таких таблиц:  
```
╔════════╦═════════════╦═══════╦═════════╦════╗
║ number ║       float ║     t ║ boolean ║  a ║
╠════════╬═════════════╬═══════╬═════════╬════╣
║    123 ║   12345.456 ║  test ║    True ║  1 ║
╚════════╩═════════════╩═══════╩═════════╩════╝
```
Вот так использовать:  
```python
titles = ('number', 'float', 't', 'boolean', 'a')
variables = (123, 12345.4564876435, 'test', True, 1)
t = Table(titles, variables, precision=3)  # precision -- количество знаков после запятой, по умолчанию 5
print(t.get_code())
```  
Пример сгенерированного кода:  
```python
print("╔" + "═" * 8 + "╦" + "═" * 13 + "╦" + "═" * 7 + "╦" + "═" * 9 + "╦" + "═" * 4 + "╗")
print("║%7s ║%12s ║%6s ║%8s ║%3s ║" % ("number", "float", "t", "boolean", "a"))
print("╠" + "═" * 8 + "╬" + "═" * 13 + "╬" + "═" * 7 + "╬" + "═" * 9 + "╬" + "═" * 4 + "╣")
print("║%7d ║%12.3f ║%6s ║%8s ║%3d ║" % ())
print("╚" + "═" * 8 + "╩" + "═" * 13 + "╩" + "═" * 7 + "╩" + "═" * 9 + "╩" + "═" * 4 + "╝")
```
Принимаемые значения: `int`, `float`, `boolean` и все объекты с методом `__str__`
